%define upstream_name    Algorithm-Permute
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Handy and fast permutation with OO interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This handy module makes performing permutation in Perl easy and fast,
although perhaps its algorithm is not the fastest on the earth. It supports
permutation r of n objects where 0 < r <= n.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.170.0-3.mga10
+ Revision: 2088955
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 0.170.0-2.mga10
+ Revision: 2011550
- Rebuild for perl-5.38

* Tue Feb 07 2023 tv <tv> 0.170.0-1.mga9
+ Revision: 1938998
- update to 0.17

* Mon Jun 06 2022 umeabot <umeabot> 0.160.0-11.mga9
+ Revision: 1861534
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.160.0-10.mga9
+ Revision: 1795464
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.160.0-9.mga9
+ Revision: 1726386
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.160.0-8.mga8
+ Revision: 1594242
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.160.0-7.mga8
+ Revision: 1529351
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.160.0-6.mga8
+ Revision: 1433323
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.160.0-5.mga7
+ Revision: 1290279
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 pterjan <pterjan> 0.160.0-4.mga7
+ Revision: 1250551
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.160.0-3.mga7
+ Revision: 1162790
- rebuild with fixed rpm for missing autodeps
+ pterjan <pterjan>
- Rebuild for perl ABI changes

* Mon Aug 07 2017 shlomif <shlomif> 0.160.0-1.mga7
+ Revision: 1138542
- New version 0.16

* Mon Jul 24 2017 sander85 <sander85> 0.150.0-1.mga7
+ Revision: 1129839
- update to 0.15
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-15.mga6
+ Revision: 1022263
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.120.0-14.mga6
+ Revision: 956670
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.120.0-13.mga6
+ Revision: 844183
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-12.mga5
+ Revision: 747036
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-11.mga5
+ Revision: 731816
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-10.mga5
+ Revision: 683456
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.120.0-9.mga5
+ Revision: 630788
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-8.mga4
+ Revision: 524205
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.120.0-7.mga4
+ Revision: 430542
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-6.mga3
+ Revision: 362889
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.120.0-5.mga3
+ Revision: 250259
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.120.0-4.mga2
+ Revision: 103445
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-3.mga1
+ Revision: 29778
- mageia rebuild
- imported package perl-Algorithm-Permute

